<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Teacher_Profile extends Controller_UserEnvironment {
    public function action_edit()
    {
        $twig = Twig::factory('profile/settings');
        $twig->JobPositions = $this->getJobPositions();
        $twig->Faculties = $this->getFaculties();
        $twig->Departments = Model_Departments::byFaculty($this->user->FacultyID);
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
    
    public function getFaculties()
    {
        $faculties = Model_Teachers::getFaculties();
        $facultiesHandled = array(); $i = 0;
        foreach($faculties as $row)
        {
            $i++;
            $facultiesHandled[$i]['ID'] = $row['ID'];
            $facultiesHandled[$i]['Name'] = $row['Name'];
            $facultiesHandled[$i]['Abbr'] = $row['Abbr'];
        }
        return $facultiesHandled;
    }

    // todo: move to teachers model, there's a duplicate at admin/teachers.php
    public function getJobPositions()
    {
        $jobPositions = Model_Teachers::getJobPositions();
        $jobPositionsHandled = array(); $i = 0;
        foreach($jobPositions as $row)
        {
            $i++;
            $jobPositionsHandled[$i]['ID'] = $row['ID'];
            $jobPositionsHandled[$i]['Name'] = $row['Name'];
            // $jobPositionsHandled[$i]['Abbr'] = $row['Abbr'];
        }
        return $jobPositionsHandled;
    }    
}
            